:root {
    /* FUENTES */
    --fontHeadings: 'PT Sans', sans-serif;
    --fontText: 'Open Sans', sans-serif;
    /* COLORES */
    --brown: #784d3c;
    --grey: #e1e1e1;
    --white: #fff;
    --black: #000;
}
html {
    box-sizing: border-box;
    font-size: 62.5%;
    /** 1rem = 10px **/
}
*,
*:before,
*:after {
    box-sizing: inherit;
}
body {
    font-family: var(--fontHeadings);
    font-size: 1.6rem;
    line-height: 2;
}
body::-webkit-scrollbar {
    width: 1rem;
    background-color: var(--white);
}
body::-webkit-scrollbar-thumb {
    background-color: var(--brown);
}
/* GLOBALES */
.box {
    /* max-width: 120rem;
    width: 90%; */
    width: min(90%, 120rem);
    margin: 0 auto;
}

a {
    color: inherit;
    text-decoration: none;
}

h1,
h2,
h3,
h4 {
    font-family: var(--fontHeadings);
    color: inherit;
    line-height: 1.2;
}

h1 {
    font-size: 4.8rem;
}

h2 {
    font-size: 4rem;
}

h3 {
    font-size: 3.2rem;
}

h4 {
    font-size: 2.8rem;
}

img {
    max-width: 100%;
}
video {
    width: 100%;
}

/* UTILITIES */
.m-0 {
    margin: 0;
}
.p-0 {
    padding: 0;
}
.w-full {
    width: 100%;
}
.text-center {
    text-align: center;
}
.button {
    display: block;
    color: var(--white);
    text-align: center;
    font-family: var(--fontHeadings);
    padding: 1rem 3rem;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: bold;
    margin-bottom: 2rem;
}
@media(min-width:768px) {
    .button {
        display: inline-block;
    }
}
.button--primary {
    background-color: var(--black);
}
.button--secondary {
    background-color: var(--brown);
}

/* HEADER */
.header {
    background-image: url("../img/banner.jpg");
    height: 60rem;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    position: relative;
}
.header__content {
    position: relative;
    z-index: 10;
}
.video {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 5;
    filter:brightness(.5);
}
.video video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    position: relative;
}
.bar {
    text-align: center;
    padding: 2rem 0;
}

@media (min-width: 768px) {
    .bar {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
}

.logo {
    color: var(--white);
}

.logo__name {
    font-weight: 400;
}

.logo__name-bold {
    font-weight: bold;
}

.nav {}

@media (min-width: 768px) {
    .nav {
        display: flex;
        gap: 2rem;
    }
}

.nav__link {
    color: var(--white);
    display: block;
    font-size: 1.8rem;
}

.header__text {
    text-align: center;
    color: var(--white);
    margin-top: 5rem;
}

@media (min-width: 768px) {
    .header__text {
        margin-top: 15rem;
    }
}
/* CONTENIDO PRINCIPAL */
@media (min-width: 768px) {
    .main-content {
        display: grid;
        grid-template-columns: 2fr 1fr;
        column-gap: 4rem;
    }
}
.blog {

}
.post-resume {
    border-bottom: 1px solid var(--grey);
    margin-bottom: 2rem;
}
.post-resume:last-of-type {
    border-bottom: none;
    margin-bottom: 0;
}
.sidebar {

}
.courses {
    list-style: none;
}
.course__widget {
    border-bottom: 1px solid var(--grey);
    margin-bottom: 2rem;
}
.course__widget:last-of-type {
    border-bottom: 0;
    margin-bottom: 0;
}
.course__widget--label,
.course--label {
    font-family: var(--fontHeadings);
    font-weight: bold;
}

.course__widget--price,
.course--price {
    font-weight: normal;
}
.course__widget--label,
.course__widget--price,
.course--label,
.course--price {
    font-size: 2rem;
}
.footer {
    background-color: var(--black);
    width: 100%;
    margin-top: 2rem;
    display: flex;
    align-items: center;
}

/* SOBRE NOSOTROS */
@media(min-width:768px) {
    .about {
        display: grid;
        grid-template-columns: repeat(2,1fr);
        gap: 3rem;
    }
}
/* CURSO */
.course {
    padding: 3rem 0;
    border-bottom: 1px solid var(--grey);
}
@media(min-width:768px) {
    .course {
        display: grid;
        grid-template-columns: 1fr 2fr;
        column-gap: 3rem;
    }
}
.course:last-of-type {
    border-bottom: 0;
}
/* ENTRADA */
.post {

}
/* CONTACTO */
.contact__bg {
    background-image: url('../img/contacto.jpg');
    background-position: center;
    background-size: cover;
    height: 40rem;
}
.form {
    margin-top: 2rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}
.field {
    display: flex;
    flex-direction: column;
}
.field__label {
    font-family: var(--fontHeadings);
    font-weight: bold;
    font-size: 1.8rem;
}
.field__input {
    padding: 1rem;
    border: none;
    border-bottom: 2px solid var(--black);
    outline: none;
    font-family: var(--fontHeadings);
    font-weight: 700;
    background-color: var(--grey);
}
@media(min-width:968px) {
    .form {
        gap: 1rem;
        width: 95%;
        margin: -10rem auto 0;
        padding: 4rem;
        background-color: var(--white);
    }
    .field {
        flex-direction: row;
        margin-bottom: 2rem;
        gap: 2rem;
    }
    .field__label {
        flex: 0 0 9rem;
        text-align: right;
    }
    .field__input {
        flex: 1;
    }
}
.field__input--submit {
    margin: 0 auto;
    cursor: pointer;
}
